Bug 58459 - gawk fails for check_default_route in network-functions
Summary: gawk fails for check_default_route in network-functions
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gawk   
(Show other bugs)
Version: 7.0
Hardware: alpha
OS: Linux
medium
high
Target Milestone: ---
Assignee: Beth Uptagrafft
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-17 08:04 UTC by Need Real Name
Modified: 2007-04-18 16:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-13 12:28:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-01-17 08:04:35 UTC
Description of Problem: when ifdown is called the check_default_route
function is called in network-scripts.  when the line "/sbin/route -n
 awk..." is run, gawk spins on the CPU.
Version-Release number of selected component (if applicable): I've
tested gawk-3.0.6-1 from 7.0, gawk-3.0.6-2 from 7.1, and gawk-3.1.0-4
from rawhide.
How Reproducible: 100% on this test case.


Steps to Reproduce:
1. bring down your default route
2. run /sbin/route -n | gawk 'BEGIN{r=1} $3=="0.0.0.0" && $4=="UG" {r=0} END{print r}'`
3. watch the process sit on the CPU

Actual Results: if the default route exists, this works as expected.
if the default route is not there, it hangs on the processor (i.e.
strace shows _no_ system calls occuring). gdb shows it in double_to_int().
Expected Results: it should work for both cases.


Additional Information: this is on a 7.0 install, latest errata applied to a
	multia/udb 21064

Comment 1 Florian La Roche 2002-01-31 11:05:26 UTC
Please test if this is still a problem with 7.2.

Thanks,

Florian La Roche


Comment 2 Derek Tattersall 2002-04-13 12:28:10 UTC
Not reproducible with skipjack/beta 4

Comment 3 Florian La Roche 2002-05-28 21:01:59 UTC
Ok, then probably fixed with newer version. Pleae re-issue if new problems
come up.

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.